%global oname rtslib-fb

Summary:       API for Linux kernel LIO SCSI target
Name:          python-rtslib
License:       ASL 2.0
Version:       2.1.75
Release:       7%{?dist}
URL:           https://github.com/open-iscsi/%{oname}
Source0:        %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz

Patch3000:     0001-disable-xen_pvscsi.patch

BuildRequires: systemd
BuildArch:     noarch

%description
API for generic Linux SCSI kernel target. Includes the 'target' service and targetctl tool for
restoring configuration.

%package -n python3-rtslib
Summary:       API for Linux kernel LIO SCSI target

BuildRequires: python3-devel python3-setuptools python3-kmod python3-six python3-pyudev

Requires:      python3-kmod python3-six python3-pyudev

%description -n python3-rtslib
API for generic Linux SCSI kernel target. Includes the 'target' service and targetctl tool for
restoring configuration.

API for generic Linux SCSI kernel target.

%package -n target-restore
Summary:          Systemd service for targetcli/rtslib
Requires:         python3-rtslib = %{version}-%{release}
%{?systemd_requires}

%description -n target-restore
Systemd service to restore the LIO kernel target settings on system restart.

%prep
%autosetup -n %{oname}-%{version} -p1

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_mandir}/man5/
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/target/backup
mkdir -p %{buildroot}%{_localstatedir}/target/pr
mkdir -p %{buildroot}%{_localstatedir}/target/alua
install -m 644 systemd/target.service %{buildroot}%{_unitdir}/target.service
install -m 644 doc/targetctl.8 %{buildroot}%{_mandir}/man8/
install -m 644 doc/saveconfig.json.5 %{buildroot}%{_mandir}/man5/

%post -n target-restore
%systemd_post target.service

%preun -n target-restore
%systemd_preun target.service

%postun -n target-restore
%systemd_postun_with_restart target.service

%files -n python3-rtslib
%license COPYING
%doc README.md doc/getting_started.md
%{python3_sitelib}/rtslib*

%files -n target-restore
%{_bindir}/targetctl
%{_unitdir}/target.service
%dir %{_sysconfdir}/target
%dir %{_sysconfdir}/target/backup
%dir %{_localstatedir}/target
%dir %{_localstatedir}/target/pr
%dir %{_localstatedir}/target/alua
%{_mandir}/man8/targetctl.8*
%{_mandir}/man5/saveconfig.json.5*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.75-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.75-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.75-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.75-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.75-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.75-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 1 2023 Shuo Wang <abushwang@tencent.com> - 2.1.75-1
- initial build
